LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 02-11-2010, 04:33 AM   #1
weeraman
LQ Newbie
 
Registered: Feb 2010
Posts: 6

Rep: Reputation: 0
Question VLC Media Player installation Issue


Hi All,
I'm having some tough time installing VLC on RHEL5.

Tried yum install vlc. And there were many dependencies to begin with, however managed to install some RPMS manually and reduce the dependencies. BUT still have one more. Please look into the below details and advice on how to solve this... many thanks...

Quote:
yum install vlc
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package vlc.i386 0:0.9.9a-4.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libavformat.so.52 for package: vlc
--> Processing Dependency: libdvdnav.so.4 for package: vlc
--> Processing Dependency: libcvaux.so.1 for package: vlc
--> Processing Dependency: libportaudio.so.2 for package: vlc
--> Processing Dependency: libdirac_encoder.so.0 for package: vlc
--> Processing Dependency: libdvdread.so.3 for package: vlc
--> Processing Dependency: libdca.so.0 for package: vlc
--> Processing Dependency: libml.so.1 for package: vlc
--> Processing Dependency: libcucul.so.0 for package: vlc
--> Processing Dependency: libzvbi.so.0 for package: vlc
--> Processing Dependency: liba52.so.0 for package: vlc
--> Processing Dependency: libcv.so.1 for package: vlc
--> Processing Dependency: libvgagl.so.1 for package: vlc
--> Processing Dependency: libdvbpsi.so.4 for package: vlc
--> Processing Dependency: libixml.so.2 for package: vlc
--> Processing Dependency: libebml.so.0 for package: vlc
--> Processing Dependency: libcddb.so.2 for package: vlc
--> Processing Dependency: libvga.so.1 for package: vlc
--> Processing Dependency: libhighgui.so.1 for package: vlc
--> Processing Dependency: libtag.so.1 for package: vlc
--> Processing Dependency: libmodplug.so.0 for package: vlc
--> Processing Dependency: libmpeg2.so.0 for package: vlc
--> Processing Dependency: libswscale.so.0 for package: vlc
--> Processing Dependency: libcxcore.so.1 for package: vlc
--> Processing Dependency: libshout.so.3 for package: vlc
--> Processing Dependency: libcaca.so.0 for package: vlc
--> Processing Dependency: libmatroska.so.0 for package: vlc
--> Processing Dependency: libid3tag.so.0 for package: vlc
--> Processing Dependency: libavcodec.so.52 for package: vlc
--> Processing Dependency: libSDL_image-1.2.so.0 for package: vlc
--> Processing Dependency: libxosd.so.2 for package: vlc
--> Processing Dependency: libmad.so.0 for package: vlc
--> Processing Dependency: libupnp.so.3 for package: vlc
--> Processing Dependency: libaa.so.1 for package: vlc
--> Processing Dependency: libfaad.so.2 for package: vlc
--> Processing Dependency: libdirac_decoder.so.0 for package: vlc
--> Processing Dependency: libmpcdec.so.5 for package: vlc
--> Processing Dependency: libavutil.so.49 for package: vlc
--> Processing Dependency: liblirc_client.so.0 for package: vlc
--> Processing Dependency: libtwolame.so.0 for package: vlc
--> Processing Dependency: libx264.so.68 for package: vlc
--> Processing Dependency: libpostproc.so.51 for package: vlc
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libmodplug.i386 0:0.8.7-1.el5.rf set to be updated
---> Package taglib.i386 0:1.5-1.el5.rf set to be updated
---> Package libdvbpsi.i386 0:0.1.5-2.el5.rf set to be updated
---> Package SDL_image.i386 0:1.2.5-1.el5.rf set to be updated
---> Package opencv.i386 0:1.0.0-1.el5.rf set to be updated
---> Package libid3tag.i386 0:0.15.1b-3.el5.rf set to be updated
---> Package libupnp.i386 0:1.6.6-1.el5.rf set to be updated
---> Package aalib.i386 0:1.4.0-5.el5.rf set to be updated
---> Package svgalib.i386 0:1.9.25-1.el5.rf set to be updated
---> Package libmad.i386 0:0.15.1b-4.el5.rf set to be updated
---> Package x264.i386 0:0.0.0-0.4.20090708.el5.rf set to be updated
---> Package xosd.i386 0:2.2.14-1.el5.rf set to be updated
---> Package libcddb.i386 0:1.3.1-1.el5.rf set to be updated
---> Package libdca.i386 0:0.0.5-1.el5.rf set to be updated
---> Package twolame.i386 0:0.3.12-1.el5.rf set to be updated
---> Package libshout.i386 0:2.2.2-1.el5.rf set to be updated
---> Package portaudio.i386 0:19-1.20071207.el5.rf set to be updated
---> Package lirc.i386 0:0.6.6-4.el5.rf set to be updated
---> Package libdvdnav.i386 0:0.1.10-3.el5.rf set to be updated
---> Package libmpeg2.i386 0:0.5.1-2.el5.rf set to be updated
---> Package ffmpeg-libpostproc.i386 0:0.5-3.el5.rf set to be updated
---> Package libebml.i386 0:0.7.8-1.el5.rf set to be updated
---> Package a52dec.i386 0:0.7.4-8.el5.rf set to be updated
---> Package dirac.i386 0:1.0.2-1.el5.rf set to be updated
---> Package faad2.i386 0:2.7-1.el5.rf set to be updated
---> Package libmpcdec.i386 0:1.2.6-1.el5.rf set to be updated
---> Package libmatroska.i386 0:0.8.1-1.el5.rf set to be updated
---> Package libdvdread.i386 0:0.9.7-1.el5.rf set to be updated
---> Package libcaca.i386 0:0.99-0.1.beta11.el5.rf set to be updated
---> Package ffmpeg.i386 0:0.5-3.el5.rf set to be updated
---> Package zvbi.i386 0:0.2.33-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libsndfile.so.1 for package: twolame
--> Processing Dependency: libImlib2.so.1 for package: ffmpeg
--> Processing Dependency: libamrwb.so.3 for package: ffmpeg
--> Processing Dependency: libmp3lame.so.0 for package: ffmpeg
--> Processing Dependency: libcdio.so.7(CDIO_7) for package: libcddb
--> Processing Dependency: libcdio.so.7 for package: libcddb
--> Processing Dependency: libcppunit-1.12.so.0 for package: dirac
--> Processing Dependency: libamrnb.so.3 for package: ffmpeg
--> Processing Dependency: libfaac.so.0 for package: ffmpeg
--> Processing Dependency: libdvdcss >= 1.2.5 for package: libdvdread
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0) for package: twolame
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package amrwb.i386 0:7.0.0.3-1.el5.rf set to be updated
---> Package lame.i386 0:3.98.2-1.el5.rf set to be updated
---> Package libsndfile.i386 0:1.0.17-1.el5.rf set to be updated
---> Package faac.i386 0:1.26-1.el5.rf set to be updated
---> Package libdvdcss.i386 0:1.2.10-1.el5.rf set to be updated
---> Package amrnb.i386 0:7.0.0.2-1.el5.rf set to be updated
---> Package cppunit.i386 0:1.12.0-3.el5.rf set to be updated
---> Package imlib2.i386 0:1.4.0-1.el5.rf set to be updated
---> Package libcdio.i386 0:0.77-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libgif.so.4 for package: imlib2
--> Finished Dependency Resolution
Error: Missing Dependency: libgif.so.4 is needed by package imlib2
but the library is already installed. (I installed it manually from a RH4 rpm)

Quote:
[root@localhost yum]# yum provides libgif.so.4

Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up repositories
Reading repository metadata in from local files
Importing additional filelist information



libungif.i386 4.1.3-1 installed
Matched from:
/usr/lib/libgif.so.4
/usr/lib/libgif.so.4.1.3
[root@localhost yum]#
please let me know what options i've got

Thanks again

Last edited by weeraman; 02-11-2010 at 04:39 AM. Reason: test
 
Old 02-12-2010, 05:03 AM   #2
weeraman
LQ Newbie
 
Registered: Feb 2010
Posts: 6

Original Poster
Rep: Reputation: 0
Unhappy

by the way, I installed libgif.. by installing libungif-4.1.3-1.i386 for REDHAT4 hoping that RH5 will also be installed with the same libraries..
 
Old 02-13-2010, 01:27 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,536

Rep: Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506
' libgif.so.4 ' is in package ' giflib ' ...

http://mirror.centos.org/centos/5.4/os/i386/CentOS/
>
http://mirror.centos.org/centos/5.4/...5_3.1.i386.rpm
> > giflib-4.1.3-7.1.el5_3.1.i386.rpm

Update(s) can be useful to know too :
http://mirror.centos.org/centos/5.4/updates/i386/RPMS/
.....
 
Old 02-14-2010, 11:10 PM   #4
weeraman
LQ Newbie
 
Registered: Feb 2010
Posts: 6

Original Poster
Rep: Reputation: 0
Hi,
Many thanks, it worked !!
anyway i Used rpmfind.net to search the rpm's but seems it didn't work.

is it ok to use CentOS repo for Redhat also ?

thanks again.
 
Old 02-16-2010, 02:41 AM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,536

Rep: Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506Reputation: 2506
Quote:
Is it ok to use CentOS repo for Redhat also ?
Yes, the packages are identical.


.....
 
Old 02-16-2010, 07:04 PM   #6
Elv13
Member
 
Registered: Apr 2006
Location: Montreal,Quebec
Distribution: Gentoo
Posts: 825

Rep: Reputation: 128Reputation: 128
It is safer (to use CentOS5) than using a RHEL4 repo, much safer
 
  


Reply

Tags
redhat, vlc


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
installation problem in vlc media player on rhel5 deepakchandel81 Linux - Newbie 4 12-09-2009 03:29 AM
LXer: Create your own VLC skin with VLC media player Skin Editor LXer Syndicated Linux News 0 12-06-2009 12:30 PM
How to Set VLC Media Player as Default .wmv Player JonBL Linux - Software 2 04-24-2008 01:06 AM
VLC Media Player DaftDave Linux - Software 1 04-19-2008 12:23 AM
VLC Media Player carlosinfl Linux - Software 2 05-04-2006 03:24 PM


All times are GMT -5. The time now is 04:56 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration